#!/bin/sh

echo 'name: uniplate
version: 1.5.1
license: BSD3
copyright: 2006-10, Neil Mitchell
maintainer: ndmitchell@gmail.com
stability:
homepage: http://community.haskell.org/~ndm/uniplate/
package-url:
description: Uniplate is library for writing simple and concise generic operations.
             Uniplate has similar goals to the original Scrap Your Boilerplate work,
             but is substantially simpler and faster.
             .
             To get started with Uniplate you should import one of the three following
             modules:
             .
             * "Data.Generics.Uniplate.Data" - to quickly start writing generic functions.
             Most users should start by importing this module.
             .
             * "Data.Generics.Uniplate.Direct" - a replacement for "Data.Generics.Uniplate.Data"
             with substantially higher performance (around 5 times), but requires writing
             instance declarations.
             .
             * "Data.Generics.Uniplate.Operations" - definitions of all the operations defined
             by Uniplate. Both the above two modules re-export this module.
             .
             In addition, some users may want to make use of the following modules:
             .
             * "Data.Generics.SYB" - users transitioning from the Scrap Your Boilerplate library.
             .
             * "Data.Generics.Compos" - users transitioning from the Compos library.
             .
             * "Data.Generics.Uniplate.DataOnly" - users making use of both @Data@ and @Direct@
             to avoid getting instance conflicts.
category: Generics
author: Neil Mitchell
exposed: True
exposed-modules: Data.Generics.Str Data.Generics.Compos
                 Data.Generics.SYB Data.Generics.Uniplate.Operations
                 Data.Generics.Uniplate.Direct Data.Generics.Uniplate.Typeable
                 Data.Generics.Uniplate.Data Data.Generics.Uniplate.DataOnly
                 Data.Generics.Uniplate Data.Generics.UniplateOn
                 Data.Generics.UniplateStr Data.Generics.UniplateStrOn
                 Data.Generics.Biplate Data.Generics.PlateDirect
                 Data.Generics.PlateTypeable Data.Generics.PlateData
hidden-modules: Data.Generics.PlateInternal
                Data.Generics.Uniplate.Internal.Data
                Data.Generics.Uniplate.Internal.DataOnlyOperations
                Data.Generics.Uniplate.Internal.Utils
import-dirs: /usr/local/lib/uniplate-1.5.1/ghc-6.10.4
library-dirs: /usr/local/lib/uniplate-1.5.1/ghc-6.10.4
              /usr/local/lib
hs-libraries: HSuniplate-1.5.1
extra-libraries:
extra-ghci-libraries:
include-dirs: /usr/local/include
includes:
depends: base-4.1.0.0 containers-0.2.0.1 mtl-1.1.0.2 syb-0.1.0.1
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/uniplate-1.5.1/html/uniplate.haddock
haddock-html: /usr/local/share/doc/uniplate-1.5.1/html' | /usr/local/bin/ghc-pkg update -
